errlogInit(8192)

< envPaths

dbLoadDatabase("$(TOP)/dbd/autobpTest.dbd")
autobpTest_registerRecordDeviceDriver(pdbbase)

# Average intensity for Abp1 baseline drift and beam instability detection
amyAverageConfig("abp1AvgIntensity", 2, 100, 0)

# Average intensity for Abp2 beam instability detection
amyAverageConfig("abp2AvgIntensity", 1, 100, 0)

# Simulations
dbLoadTemplate("simulation-a.template")
dbLoadTemplate("simulation-b.template")

# Auto beam positioner all
dbLoadTemplate("abpall.template")

# Auto beam positioner 1
dbLoadTemplate("abp1.template")

# Auto beam positioner 2
dbLoadTemplate("abp2.template")

iocInit()

seq("autobp04", "P=ioc23:,A=Abp1,BPPG=ioc23:Bppg")
seq("autobp02", "P=ioc23:,A=Abp2,BPPG=ioc23:Bppg")

< abp1-defaults.cmd
< abp2-defaults.cmd
